import {ResponseData,PageList} from 'dh-unattended/src/interface/publice/httpBase'
import { AddBinManagementParams, DelBinManagementParams,QueryBinManagementParams,BinManagementData,BinManagementDropdDromList} from  'dh-unattended/src/interface/views/basicInformationManage/binManagement'

/**
 * @class 粮仓管理API类
 */
export default class BinManagementApi {
    constructor(tant:any) {
        this.tant = tant
    }
    private tant:any

    //添加
    insertStock(data:AddBinManagementParams): Promise<ResponseData<string>> {
        return this.tant.$fetch({
            url: '/unattended/stock/insertStock',
            method: 'POST',
            data
        })
    }

    //删除
    deleteStock(data:DelBinManagementParams):Promise<ResponseData<boolean>>{
        return  this.tant.$fetch({
            url: '/unattended/stock/deleteStock',
            method: 'put',
            data
        })
    }

    //修改
    updatetStock(data:AddBinManagementParams): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/stock/updateStock',
            method: 'put',
            data
        })
    }

    //获取料仓编码
    getStockCode(params:{lastStockCode?:string,stockTypeId:number}): Promise<ResponseData<{stockCode:string}>> {
        return this.tant.$fetch({
            url: '/unattended/stock/getStockCode',
            method: 'get',
            params
        })
    }

    //料仓类型下拉
    listAllStockType(): Promise<ResponseData<Array<BinManagementDropdDromList>>>{
        return  this.tant.$fetch({
            url: '/unattended/stockType/listAllStockType',
            method: 'get'
        })
    }

    //列表查询料仓信息
    listStock(params:QueryBinManagementParams): Promise<ResponseData<PageList<BinManagementData>>> {
        return this.tant.$fetch({
            url: '/unattended/stock/listStock',
            method: 'get',
            params
        })
    }
    //释放料仓编码-梁栋轩
    releaseStockCode(params:{stockCode:string}): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/stock/releaseStockCode',
            method: 'get',
            params
        })
    }
}
