import {ResponseData,PageList} from 'dh-unattended/src/interface/publice/httpBase'
import {AddCribYardManagementParams, CribYardManagementData, EditCribYardManagement, QueryCribYardManagementParams}
from "dh-unattended/src/interface/views/basicInformationManage/cribYardManagement";

/**
 * @class 料场垛位管理Api类
 */
export default class CribYardManagementApi {
  constructor(tant:any) {
    this.tant = tant
  }
  private tant:any

  //添加
  insertStack(data: AddCribYardManagementParams): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/stack/insertStack',
      method: 'POST',
      data
    })
  }

  //删除
  deleteStack(data: {id: number}):Promise<ResponseData<boolean>>{
    return  this.tant.$fetch({
      url: '/unattended/stack/deleteStack',
      method: 'put',
      data
    })
  }

  //修改
  updateStack(data:EditCribYardManagement): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/stack/updateStack',
      method: 'put',
      data
    })
  }

  //垛场信息下拉
  listAllStack(): Promise<ResponseData<Array<{id: number;stackCode: string;stackName: string}>>>{
    return  this.tant.$fetch({
      url: '/unattended/stack/listAllStack',
      method: 'get'
    })
  }

  //列表查询
  listStack(params:QueryCribYardManagementParams): Promise<ResponseData<PageList<CribYardManagementData>>> {
    return this.tant.$fetch({
      url: '/unattended/stack/listStack',
      method: 'get',
      params
    })
  }
}
