import {AddDriverParams,EditDriverParams,MoveDriverParams,QueryDriverData,QueryDriverParams} from "dh-unattended/src/interface/views/basicInformationManage/driver";
import {ResponseData,PageList} from "dh-unattended/src/interface/publice/httpBase";
import PublicApi from "dh-unattended/src/api/common/publicApi";

//司机管理相关API
export default class DriverApi extends PublicApi{
    public tant:any
    constructor(tant:any) {
        super(tant)
        this.tant = tant
    }


    //添加
    addDriver(data:AddDriverParams): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/driver/addDriver',
            method: 'POST',
            data
        })
    }

    //修改
    editDriver(data:EditDriverParams): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/driver/editDriver',
            method: 'put',
            data
        })
    }

    //获取司机编号
    getDriverCode(params:{driverLicenseType:number,type:number,code?:string}): Promise<ResponseData<{code:string}>> {
        return this.tant.$fetch({
            url: '/unattended/driver/getDriverCode',
            method: 'get',
            params
        })
    }
    //删除
    moveDriver(params:MoveDriverParams): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/driver/moveDriver',
            method: 'delete',
            params
        })
    }
    //查询
    queryDriver(params:QueryDriverParams): Promise<ResponseData<PageList<QueryDriverData>>> {
        return this.tant.$fetch({
            url: '/unattended/driver/queryDriver',
            method: 'get',
            params
        })
    }
    //清除编码
    releaseCode(params:{code:string}):Promise<ResponseData<boolean>>{
        return  this.tant.$fetch({
            url: '/unattended/common/releaseCode',
            method: 'delete',
            params
        })
    }
}
