import {ResponseData,PageList} from 'dh-unattended/src/interface/publice/httpBase'
import {AddFactoryGaugeManagementParams, FactoryGaugeManagementData, QueryFactoryGaugeManagementParams} from "dh-unattended/src/interface/views/basicInformationManage/factoryGaugeManagement";

/**
 * @class 分厂物料计皮管理Api类
 */
export default class FactoryGaugeManagementApi {
  constructor(tant:any) {
    this.tant = tant
  }
  private tant:any

  //添加
  insertMaterVehicleTare(data: AddFactoryGaugeManagementParams): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/materVehicleTare/insertMaterVehicleTare',
      method: 'POST',
      data
    })
  }

  //删除
  deleteMaterVehicleTare(data: {id: number}):Promise<ResponseData<boolean>>{
    return  this.tant.$fetch({
      url: '/unattended/materVehicleTare/deleteMaterVehicleTare',
      method: 'put',
      data
    })
  }

  //修改
  updateMaterVehicleTare(data: AddFactoryGaugeManagementParams): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/materVehicleTare/updateMaterVehicleTare',
      method: 'put',
      data
    })
  }

  //列表查询
  listMaterVehicleTare(params:QueryFactoryGaugeManagementParams): Promise<ResponseData<PageList<FactoryGaugeManagementData>>> {
    return this.tant.$fetch({
      url: '/unattended/materVehicleTare/listMaterVehicleTare',
      method: 'get',
      params
    })
  }
}
