import {ResponseData,PageList} from 'dh-unattended/src/interface/publice/httpBase'
import {AddFactoryUnloadingAddressManagementParams, FactoryUnloadingAddressManagementData, QueryFactoryUnloadingAddressManagementParams} from "dh-unattended/src/interface/views/basicInformationManage/factoryUnloadingAddressManagement";

/**
 * @class 分厂物料装卸地址管理Api类
 */
export default class FactoryUnloadingAddressManagementApi {
  constructor(tant:any) {
    this.tant = tant
  }
  private tant:any

  //添加
  insertDockAddress(data: AddFactoryUnloadingAddressManagementParams): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/dockAddress/insertDockAddress',
      method: 'POST',
      data
    })
  }

  //删除
  deleteDockAddress(data: {id: number}):Promise<ResponseData<boolean>>{
    return  this.tant.$fetch({
      url: '/unattended/dockAddress/deleteDockAddress',
      method: 'put',
      data
    })
  }

  //修改
  updateDockAddress(data:AddFactoryUnloadingAddressManagementParams): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/dockAddress/updateDockAddress',
      method: 'put',
      data
    })
  }

  //装卸地址信息下拉
  listAllDockAddress(): Promise<ResponseData<Array<{id: number;addressCode: string;addressName: string}>>>{
    return  this.tant.$fetch({
      url: '/unattended/dockAddress/listAllDockAddress',
      method: 'get'
    })
  }

  //列表查询
  listDockAddress(params:QueryFactoryUnloadingAddressManagementParams): Promise<ResponseData<PageList<FactoryUnloadingAddressManagementData>>> {
    return this.tant.$fetch({
      url: '/unattended/dockAddress/listDockAddress',
      method: 'get',
      params
    })
  }
}
