import {ResponseData,PageList} from 'dh-unattended/src/interface/publice/httpBase'
import {PublicEnum} from 'dh-unattended/src/interface/publice/rests'
import {AddMaterialParams,DelMaterialParams,EditMaterialParams,QueryMaterialParams,MaterialData} from  'dh-unattended/src/interface/views/basicInformationManage/material'

/**
 * @class 物料API类
 */
export default class MaterialApi {
    constructor(tant:any) {
        this.tant = tant
    }
    private tant:any

    //添加
    addMaterial(data:AddMaterialParams): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/material/addMaterial',
            method: 'POST',
            data
        })
    }

    //删除
    deleteMaterial(params:DelMaterialParams):Promise<ResponseData<boolean>>{
        return  this.tant.$fetch({
            url: '/unattended/material/deleteMaterial',
            method: 'delete',
            params
        })
    }

    //修改
    editMaterial(data:EditMaterialParams): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/material/editMaterial',
            method: 'put',
            data
        })
    }

    //获得物料编号
    getMaterialCode(params:{categoryId:number,code?:string}): Promise<ResponseData<{materialCode:string}>> {
        return this.tant.$fetch({
            url: '/unattended/material/getMaterialCode',
            method: 'get',
            params
        })
    }

    //删除释放已经生成的物料编号
    releaseMaterialCode(params:{code:string}):Promise<ResponseData<boolean>>{
        return  this.tant.$fetch({
            url: '/unattended/material/releaseMaterialCode',
            method: 'delete',
            params
        })
    }

    //获取物料类型列表
    getEnumByClassName(params={enumName:'MaterialEnum'}):Promise<ResponseData<Array<PublicEnum>>>{
        return  this.tant.$fetch({
            url: '/unattended/common/getEnumByClassName',
            method: 'get',
            params:{enumName:'MaterialEnum'}
        })
    }

    //查询物料信息
    queryMaterial(params:QueryMaterialParams): Promise<ResponseData<PageList<MaterialData>>> {
        return this.tant.$fetch({
            url: '/unattended/material/queryMaterial',
            method: 'get',
            params
        })
    }

}
