import {ResponseData,PageList} from 'dh-unattended/src/interface/publice/httpBase'
import {AddMaterialCribManagementParams, MaterialCribManagementData, QueryMaterialCribManagementParams} from "dh-unattended/src/interface/views/basicInformationManage/materialCribManagement";

/**
 * @class 物料垛位对应表管理Api类
 */
export default class MaterialCribManagementApi {
  constructor(tant:any) {
    this.tant = tant
  }
  private tant:any

  //添加
  insertMaterStock(data: AddMaterialCribManagementParams): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/materStock/insertMaterStock',
      method: 'POST',
      data
    })
  }

  //删除
  deleteMaterStock(data: {id: number}):Promise<ResponseData<boolean>>{
    return  this.tant.$fetch({
      url: '/unattended/materStock/deleteMaterStock',
      method: 'put',
      data
    })
  }

  //修改
  updateMaterStock(data:AddMaterialCribManagementParams): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/materStock/updateMaterStock',
      method: 'put',
      data
    })
  }

  //物料信息信息下拉
  listAllMaterStock(): Promise<ResponseData<Array<{id: number;productionName: string;materName: string}>>>{
    return  this.tant.$fetch({
      url: '/unattended/materStock/listAllMaterStock',
      method: 'get'
    })
  }

  //列表查询
  listMaterStock(params:QueryMaterialCribManagementParams): Promise<ResponseData<PageList<MaterialCribManagementData>>> {
    return this.tant.$fetch({
      url: '/unattended/materStock/listMaterStock',
      method: 'get',
      params
    })
  }
}