import {AddMeteringPointParams,MeasurementPublic,MoveMeteringPointParams,QueryMeteringPointData,QueryMeteringPointParams,UpdateMeteringPointParams} from 'dh-unattended/src/interface/views/basicInformationManage/measurement'
import {PageList, ResponseData} from "dh-unattended/src/interface/publice/httpBase";
import {PublicEnum} from "dh-unattended/src/interface/publice/rests";

export default class MeasurementApi {
    constructor(tant:any) {
        this.tant=tant
    }
    private tant:any

    //添加计量点信息
    addMeteringPoint(data:AddMeteringPointParams): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/meteringPoint/addMeteringPoint',
            method: 'POST',
            data
        })
    }
    //获取计量点编号
    getPointCode(params:{type:number,pointCode:string}): Promise<ResponseData<MeasurementPublic>> {
        return this.tant.$fetch({
            url: '/unattended/meteringPoint/getPointCode',
            method: 'get',
            params
        })
    }
    //删除计量点信息
    moveMeteringPoint(params:MoveMeteringPointParams):Promise<ResponseData<boolean>>{
        return  this.tant.$fetch({
            url: '/unattended/meteringPoint/moveMeteringPoint',
            method: 'delete',
            params
        })
    }
    //查询计量点信息
    queryMeteringPoint(params:QueryMeteringPointParams):Promise<ResponseData<PageList<QueryMeteringPointData>>>{
        return  this.tant.$fetch({
            url: '/unattended/meteringPoint/queryMeteringPoint',
            method: 'get',
            params
        })
    }
    //修改计量点信息
    updateMeteringPoint(data:UpdateMeteringPointParams):Promise<ResponseData<boolean>>{
        return  this.tant.$fetch({
            url: '/unattended/meteringPoint/updateMeteringPoint',
            method: 'put',
            data
        })
    }

    //获取计量点类型列表
    getEnumByClassName(params={enumName:'MeteringPointEnum'}):Promise<ResponseData<Array<PublicEnum>>>{
        return  this.tant.$fetch({
            url: '/unattended/common/getEnumByClassName',
            method: 'get',
            params
        })
    }

    //清除编码
    releaseCode(params:{code:string}):Promise<ResponseData<boolean>>{
        return  this.tant.$fetch({
            url: '/unattended/common/releaseCode',
            method: 'delete',
            params
        })
    }
}
