import {PageList, ResponseData} from "dh-unattended/src/interface/publice/httpBase";
import {AddMeteringPointConfigParams,EditMeteringPointConfigParams,GetDeviceCodeData,QueryMeteringPointConfigParams,QueryMeteringPointConfigData,GetMeteringPointData,DelMeteringPointConfigParams} from 'dh-unattended/src/interface/views/basicInformationManage/measurementConfig'

export default class MeasurementConfigApi{
    private tant:any;
    constructor(tant:any) {
        this.tant =tant
    }
    //添加计量点配置信息
    addMeteringPointConfig(data:AddMeteringPointConfigParams): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/meteringPointConfig/addMeteringPointConfig',
            method: 'post',
            data
        })
    }

    //修改计量点配置信息
    editMeteringPointConfig(data:EditMeteringPointConfigParams):Promise<ResponseData<boolean>>{
        return this.tant.$fetch({
            url:'/unattended/meteringPointConfig/editMeteringPointConfig',
            method:'put',
            data
        })
    }

    //获得计量点配置编号
    getDeviceCode(params:{pointCode:string}):Promise<ResponseData<GetDeviceCodeData>>{
        return this.tant.$fetch({
            url:'/unattended/meteringPointConfig/getDeviceCode',
            method:'get',
            params
        })
    }

    //获得计量点配置编号
    getMeteringPointByCode(params:{pointCode:string,deviceCode?:string}):Promise<ResponseData<GetDeviceCodeData>>{
        return this.tant.$fetch({
            url:'/unattended/meteringPointConfig/getMeteringPointByCode',
            method:'get',
            params
        })
    }

    //获得计量点信息
    getMeteringPoint(params:{pointCode:string}):Promise<ResponseData<Array<GetMeteringPointData>>>{
        return this.tant.$fetch({
            url:'/unattended/meteringPointConfig/getMeteringPoint',
            method:'get',
            params
        })
    }

    //删除计量点配置信息
    moveMeteringPointConfig(params:DelMeteringPointConfigParams):Promise<ResponseData<boolean>>{
        return this.tant.$fetch({
            url:'/unattended/meteringPointConfig/moveMeteringPointConfig',
            method:'delete',
            params
        })
    }

    //查询计量点配置信息
    queryMeteringPointConfig(params:QueryMeteringPointConfigParams):Promise<ResponseData<PageList<QueryMeteringPointConfigData>>>{
        return this.tant.$fetch({
            url:'/unattended/meteringPointConfig/queryMeteringPointConfig',
            method:'get',
            params
        })
    }

    //释放编码
    releaseFleetCode(params:{code:string}):Promise<ResponseData<boolean>>{
        return  this.tant.$fetch({
            url: '/unattended/meteringPointConfig/releaseFleetCode',
            method: 'get',
            params
        })
    }
    // 通过计量点查询时，获得所有计量点编号
    listAllMeteringPoint():Promise<ResponseData<Array<GetMeteringPointData>>>{
        return  this.tant.$fetch({
            url: '/unattended/meteringPointConfig/listAllMeteringPoint',
            method: 'get',
        })
    }



}
