import {QueryFleetData,QueryFleetParams,MoveFleetParams,AddFleetParams,EditFleetParams} from 'dh-unattended/src/interface/views/basicInformationManage/motorcade'
import {ResponseData,PageList} from "dh-unattended/src/interface/publice/httpBase";
import PublicApi from "dh-unattended/src/api/common/publicApi";

/**
 * 车队相关API
 */
export default class MotorcadeApi extends PublicApi{
    constructor(tant:any){
        super(tant)
        this.tant = tant
    }
    public tant:any

    //添加车队信息
    addFleet(data:AddFleetParams): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/fleet/addFleet',
            method: 'POST',
            data
        })
    }

    //修改车队信息
    editFleet(data:EditFleetParams): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/fleet/editFleet',
            method: 'PUT',
            data
        })
    }

    //获取车队编号
    getFleetCode(params:{fleetTypeId:number,fleetCode:string}): Promise<ResponseData<{code:string}>> {
        return this.tant.$fetch({
            url: '/unattended/fleet/getFleetCode',
            method: 'get',
             params
        })
    }

    //查询车队信息
    queryFleet(params:QueryFleetParams): Promise<ResponseData<PageList<QueryFleetData>>> {
        return this.tant.$fetch({
            url: '/unattended/fleet/queryFleet',
            method: 'get',
             params
        })
    }

    //查询车队信息列表
    queryAllFleet(): Promise<ResponseData<Array<{id:number,name:string}>>> {
        return this.tant.$fetch({
            url: '/unattended/fleet/queryAllFleet',
            method: 'get',
        })
    }


    //删除车队信息
    moveFleet(params:MoveFleetParams): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/fleet/moveFleet',
            method: 'delete',
            params
        })
    }

    //清除编码
    releaseCode(params:{code:string}):Promise<ResponseData<boolean>>{
        return  this.tant.$fetch({
            url: '/unattended/common/releaseCode',
            method: 'delete',
            params
        })
    }
}
