import {ResponseData,PageList} from 'dh-unattended/src/interface/publice/httpBase'
import {PlantMaterialAddressManagementData, AddPlantMaterialAddressManagementParams, QueryPlantMaterialAddressManagementParams} from "dh-unattended/src/interface/views/basicInformationManage/plantMaterialAddressManagement";

/**
 * @class 分厂物料地址对应管理API类
 */
export default class PlantMaterialAddressManagementApi {
  constructor(tant:any) {
    this.tant = tant
  }
  private tant:any

  //添加
  insertMaterAddress(data:AddPlantMaterialAddressManagementParams): Promise<ResponseData<string>> {
    return this.tant.$fetch({
      url: '/unattended/materAddress/insertMaterAddress',
      method: 'POST',
      data
    })
  }

  //删除
  deleteMaterAddress(data: {id: number}):Promise<ResponseData<boolean>>{
    return  this.tant.$fetch({
      url: '/unattended/materAddress/deleteMaterAddress',
      method: 'put',
      data
    })
  }

  //修改
  updateMaterAddress(data:AddPlantMaterialAddressManagementParams): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/materAddress/updateMaterAddress',
      method: 'put',
      data
    })
  }

  //列表查询料仓信息
  listMaterAddress(params:QueryPlantMaterialAddressManagementParams): Promise<ResponseData<PageList<PlantMaterialAddressManagementData>>> {
    return this.tant.$fetch({
      url: '/unattended/materAddress/listMaterAddress',
      method: 'get',
      params
    })
  }
}
