import {GetVehicleTareData,VehicleTareParams,ListVehicleTareParams} from 'dh-unattended/src/interface/views/basicInformationManage/tare'
import {ResponseData,PageList} from "dh-unattended/src/interface/publice/httpBase";
import PublicApi from "dh-unattended/src/api/common/publicApi";
export default class TareApi extends PublicApi{
    constructor(tant:any){
        super(tant)
        this.tant = tant
    }
    public tant:any

    //删除指定皮重信息
    deleteVehicleTare(data:{id:number}): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/vehicleTare/deleteVehicleTare',
            method: 'put',
            data
        })
    }

    //根据id获取皮重信息
    getVehicleTareById(params:{id:number}): Promise<ResponseData<GetVehicleTareData>> {
        return this.tant.$fetch({
            url: '/unattended/vehicleTare/getVehicleTareById',
            method: 'get',
            params
        })
    }

    //根据车牌获取皮重信息
    getVehicleTareByPlateNumber(params:{plateNumber:string}): Promise<ResponseData<GetVehicleTareData>> {
        return this.tant.$fetch({
            url: '/unattended/vehicleTare/getVehicleTareByPlateNumber',
            method: 'get',
            params
        })
    }

    //插入皮重信息
    insertVehicleTare(data:VehicleTareParams): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/vehicleTare/insertVehicleTare',
            method: 'post',
            data
        })
    }

    //根据车牌获取皮重信息
    listVehicleTare(params:ListVehicleTareParams): Promise<ResponseData<PageList<GetVehicleTareData>>> {
        return this.tant.$fetch({
            url: '/unattended/vehicleTare/listVehicleTare',
            method: 'get',
            params
        })
    }

    //修改皮重信息
    updateVehicleTare(data:VehicleTareParams): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/vehicleTare/updateVehicleTare',
            method: 'put',
            data
        })
    }

    //修改皮重信息
    updateVehicleTareStatus(data:{id:number,usable:0|1}): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/vehicleTare/updateVehicleTareStatus',
            method: 'put',
            data
        })
    }
}
