import {ResponseData,PageList} from 'dh-unattended/src/interface/publice/httpBase'
import { AddUnitManagementParams, DelUnitManagementParams,QueryUnitManagementParams,QueryUnitManagementTypeParams,UnitManagementData,UnitManagementTypeList} from  'dh-unattended/src/interface/views/basicInformationManage/unitManagement'

/**
 * @class 单位管理API类
 */
export default class UnitManagementApi{
    constructor(tant:any) {
        this.tant = tant
    }
    private tant:any

    //添加
    insertManufacturer(data:AddUnitManagementParams): Promise<ResponseData<string>> {
        return this.tant.$fetch({
            url: '/unattended/manufacturer/insertManufacturer',
            method: 'POST',
            data
        })
    }

    //删除
    deleteManufacturer(data:DelUnitManagementParams):Promise<ResponseData<boolean>>{
        return  this.tant.$fetch({
            url: '/unattended/manufacturer/deleteManufacturer',
            method: 'put',
            data
        })
    }

    //修改
    updateManufacturer(data:AddUnitManagementParams): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/manufacturer/updateManufacturer',
            method: 'put',
            data
        })
    }

    //获取单位编码
    getManufacturerCode(params:QueryUnitManagementTypeParams): Promise<ResponseData<UnitManagementTypeList>> {
        return this.tant.$fetch({
            url: '/unattended/manufacturer/getManufacturerCode',
            method: 'get',
            params
        })
    }

    //列表查询单位管理信息
    listManufacturer(params:QueryUnitManagementParams): Promise<ResponseData<PageList<UnitManagementData>>> {
        return this.tant.$fetch({
            url: '/unattended/manufacturer/listManufacturer',
            method: 'get',
            params
        })
    }
    //释放单位编码-梁栋轩
    releaseManufacturerCode(params:{code:string}): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/manufacturer/releaseManufacturerCode',
            method: 'get',
            params
        })
    }

    //单位管理全部下拉
    listAllManufacturer(): Promise<ResponseData<Array<UnitManagementData>>> {
        return this.tant.$fetch({
            url: '/unattended/manufacturer/listAllManufacturer',
            method: 'get'
        })
    }

    //分厂单位下拉
    listAllManufacturerExceptRv(): Promise<ResponseData<Array<UnitManagementData>>> {
        return this.tant.$fetch({
            url: '/unattended/manufacturer/listAllManufacturerExceptRv',
            method: 'get'
        })
    }

    //料场单位下拉
    listAllManufacturerExceptSd(): Promise<ResponseData<Array<UnitManagementData>>> {
        return this.tant.$fetch({
            url: '/unattended/manufacturer/listAllManufacturerExceptSd',
            method: 'get'
        })
    }
}
