import PublicApi from "dh-unattended/src/api/common/publicApi";
import {GetVehicleData,UpdateVehicleParams,InsertVehicleParams,ListVehicleParams,ListAllVehicle} from "dh-unattended/src/interface/views/basicInformationManage/vehicle"
import {PageList, ResponseData} from "dh-unattended/src/interface/publice/httpBase";

export default class VehicleApi extends PublicApi{
    public tant:any
    constructor(tant:any) {
        super(tant)
        this.tant=tant
    }
    //删除
    deleteVehicle(data:{id:number}):Promise<ResponseData<boolean>>{
        return  this.tant.$fetch({
            url: '/unattended/vehicle/deleteVehicle',
            method: 'put',
            data
        })
    }
    //获取单条
    getVehicleById(params:{id:number}):Promise<ResponseData<GetVehicleData>>{
        return  this.tant.$fetch({
            url: '/unattended/vehicle/getVehicleById',
            method: 'get',
            params
        })
    }
    //添加车辆信息
    insertVehicle(data:InsertVehicleParams):Promise<ResponseData<boolean>>{
        return  this.tant.$fetch({
            url: '/unattended/vehicle/insertVehicle',
            method: 'post',
            data
        })
    }
    //列表查询车辆信息
    listVehicle(params:ListVehicleParams):Promise<ResponseData<PageList<GetVehicleData>>>{
        return  this.tant.$fetch({
            url: '/unattended/vehicle/listVehicle',
            method: 'get',
            params
        })
    }
    //列表查询所有车辆信息
    listAllVehicle(params: { typeId:1|2|null }):Promise<ResponseData<Array<ListAllVehicle>>>{
        return  this.tant.$fetch({
            url: '/unattended/vehicle/listAllVehicle',
            method: 'get',
            params
        })
    }
    //修改车辆信息
    updateVehicle(data:UpdateVehicleParams):Promise<ResponseData<boolean>>{
        return  this.tant.$fetch({
            url: '/unattended/vehicle/updateVehicle',
            method: 'put',
            data
        })
    }
}
