import {ResponseData,PageList} from 'dh-unattended/src/interface/publice/httpBase'
import { AddVoicePromptManagementParams, QueryVoicePromptManagementParams, VoicePromptManagementData} from 'dh-unattended/src/interface/views/basicInformationManage/voicePromptManagement'

/**
 * @class 语音提示管理API类
 */
export default class VoicePromptManagementApi {
    constructor(tant:any) {
        this.tant = tant
    }
    private tant:any

    //添加
    insertVoice(data:AddVoicePromptManagementParams): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/voice/insertVoice',
            method: 'POST',
            data
        })
    }

    //删除
    deleteVoice(data:{id:number}):Promise<ResponseData<boolean>>{
        return  this.tant.$fetch({
            url: '/unattended/voice/deleteVoice',
            method: 'put',
            data
        })
    }

    //修改
    updateVoice(data:AddVoicePromptManagementParams): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/voice/updateVoice',
            method: 'put',
            data
        })
    }

    //获取语音提示编码
    getVoiceCode(): Promise<ResponseData<{voiceCode:string}>> {
        return this.tant.$fetch({
            url: '/unattended/voice/getVoiceCode',
            method: 'get',
        })
    }

    //列表查询
    listVoice(params:QueryVoicePromptManagementParams): Promise<ResponseData<PageList<VoicePromptManagementData>>> {
        return this.tant.$fetch({
            url: '/unattended/voice/listVoice',
            method: 'get',
            params
        })
    }
    //列表查询
    releaseVoiceCode(params:{voiceCode:string}): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/voice/releaseVoiceCode',
            method: 'get',
            params
        })
    }
}
