//倒运任务单Api
import {ResponseData,PageList} from 'dh-unattended/src/interface/publice/httpBase'
import {QueryWhilstTaskParams, QueryWhilstTaskListData, AddWhilstTask, AddWhilstTaskDetailList, WhilstTaskDetailListData} from "dh-unattended/src/interface/views/businessDocuments/whilstTask";

/**
 * @class 倒运任务单Api类
 */

export default class WhilstTaskApi {
  constructor(tant:any) {
    this.tant = tant
  }
  private tant:any

  //调拨计划列表查询
  inwardTaskPage(params:QueryWhilstTaskParams): Promise<ResponseData<PageList<QueryWhilstTaskListData>>> {
    return this.tant.$fetch({
      url: '/unattended/inwardTask/page',
      method: 'get',
      params
    })
  }

  //新增倒运任务
  inwardTaskAdd(data: AddWhilstTask): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/inwardTask/add',
      method: 'post',
      data
    })
  }

  //编辑倒运任务
  inwardTaskEdit(data: AddWhilstTask): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/inwardTask/edit',
      method: 'post',
      data
    })
  }

  //复制倒运任务单
  inwardTaskCopy(data: {inwardTaskId: number}): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/inwardTask/copy',
      method: 'post',
      data
    })
  }

  //审核倒运任务单
  toExamine(data: {inwardTaskIds: Array<number>}): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/inwardTask/toExamine',
      method: 'post',
      data
    })
  }

  //反审核倒运任务单
  deAudit(data: {inwardTaskIds: Array<number>}): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/inwardTask/deAudit',
      method: 'post',
      data
    })
  }

  //倒运明细查询
  inwardTaskDetailGets(params: {inwardTaskIds: number}): Promise<ResponseData<Array<WhilstTaskDetailListData>>> {
    return this.tant.$fetch({
      url: '/unattended/inwardTaskDetail/gets',
      method: 'get',
      params
    })
  }

  //结束
  inwardTaskDetailOver(data: {inwardTaskDetailIds: Array<number>}): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/inwardTaskDetail/over',
      method: 'post',
      data
    })
  }

  //暂停
  inwardTaskDetailStop(data: {inwardTaskDetailIds: Array<number>}): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/inwardTaskDetail/stop',
      method: 'post',
      data
    })
  }

  //执行
  inwardTaskDetailRun(data: {inwardTaskDetailIds: Array<number>}): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/inwardTaskDetail/run',
      method: 'post',
      data
    })
  }

  //重启
  retrial(data: {inwardTaskDetailId: number}): Promise<ResponseData<boolean>> {
    return this.tant.$fetch({
      url: '/unattended/mobileDriverInwardTask/retrial',
      method: 'post',
      data
    })
  }

  //根据入库单位名称、出库单位名称查询地址
  queryBranch(params?: {branchName: string;materCode: string}): Promise<ResponseData<Array<{addressName: string;addressCode: string;id: number}>>> {
    return this.tant.$fetch({
      url: '/unattended/inwardTask/query/branch',
      method: 'get',
      params
    })
  }
}