import {ResponseData,PageList} from 'dh-unattended/src/interface/publice/httpBase'
import { InitializeMeasurementCardParams,QueryMeasurementCardParams,MeasurementCardData,RegisteredMeasurementCard,FuzzyQueryMeasurementCardData} from 'dh-unattended/src/interface/views/metrocardManagement/measurementCard'

/**
 * @class 语音提示管理API类
 */
export default class MeasurementCardApi {
    constructor(tant:any) {
        this.tant = tant
    }
    private tant:any

    //计量卡初始化
    addMeteringCard(data:InitializeMeasurementCardParams): Promise<ResponseData<string>> {
        return this.tant.$fetch({
            url: '/unattended/meteringCard/addMeteringCard',
            method: 'POST',
            data
        })
    }

    //注册发卡
    updateMeteringCardStatus(data:RegisteredMeasurementCard): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/meteringCard/updateMeteringCardStatus',
            method: 'put',
            data
        })
    }

    //挂失、退卡修改状态
    updateMeteringCard(data:{cardNum:string,state:number}): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/meteringCard/updateMeteringCard',
            method: 'put',
            data
        })
    }

    //计量卡初始化-自动生成计量卡卡号
    getCardNum(params:{businessType:number,typeId:number,cardNum?:string}): Promise<ResponseData<{cardNum:string}>> {
        return this.tant.$fetch({
            url: '/unattended/meteringCard/getCardNum',
            method: 'get',
            params
        })
    }

    //列表查询
    findMeteringCardList(params:QueryMeasurementCardParams): Promise<ResponseData<PageList<MeasurementCardData>>> {
        return this.tant.$fetch({
            url: '/unattended/meteringCard/findMeteringCardList',
            method: 'get',
            params
        })
    }

    //根据车牌号 司机姓名模糊查询
    findMeteringCardListVehicle(params:{driverName:string,plateNumber:string}): Promise<ResponseData<Array<FuzzyQueryMeasurementCardData>>> {
        return this.tant.$fetch({
            url: '/unattended/meteringCard/findMeteringCardListVehicle',
            method: 'get',
            params
        })
    }
    //释放得到的计量卡卡号
    releaseCardNum(params:{cardNum:string}): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/meteringCard/releaseCardNum',
            method: 'get',
            params
        })
    }
    //厂外根据车牌号模糊查
    findMeteringCardListVehicles(params:{plateNumber:string}): Promise<ResponseData<Array<FuzzyQueryMeasurementCardData>>> {
        return this.tant.$fetch({
            url: '/unattended/meteringCard/findMeteringCardListVehicles',
            method: 'get',
            params
        })
    }
    //判断卡号编号是否重复
    selectRepetition(params:{originalNum:string}): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/meteringCard/selectRepetition',
            method: 'get',
            params
        })
    }
}
