import {ResponseData,PageList} from 'dh-unattended/src/interface/publice/httpBase'
import {QueryAllocationPlanListParams,AddAllocationPlanParams, UpdateAllocationPlanParams,QueryAllocationPlanListData} from 'dh-unattended/src/interface/views/programManagement/allocationPlan'
/**
 * @class 调拨计划api类
 */
export default class AllocationPlanApi {
    constructor(tant:any) {
        this.tant = tant
    }
    private tant:any

    //调拨计划列表查询
    findAllocationPlanList(params:QueryAllocationPlanListParams): Promise<ResponseData<PageList<QueryAllocationPlanListData>>> {
        return this.tant.$fetch({
            url: '/unattended/allocationPlan/findAllocationPlanList',
            method: 'get',
            params
        })
    }
    //调拨计划新增
    addAllocationPlan(data:AddAllocationPlanParams): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/allocationPlan/addAllocationPlan',
            method: 'post',
            data
        })
    }
    //调拨计划编号新增
    getAllocationCode(data:{recipientOrgCode:string,code?:string}): Promise<ResponseData<{code:string}>> {
        return this.tant.$fetch({
            url: '/unattended/allocationPlan/getAllocationCode',
            method: 'post',
            data
        })
    }
    //撤销调拨计划
    deleteAllocationPlan(data:{id:number,code:string,updatorId:number,updatorName:string}): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/allocationPlan/deleteAllocationPlan',
            method: 'delete',
            data
        })
    }
    //取消新增时，释放编号
    releaseCode(params:{code:string}): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/allocationPlan/releaseCode',
            method: 'get',
            params
        })
    }
    //查询物料编码
    selectMaterial(): Promise<ResponseData<Array<{code:string,name:string}>>> {
        return this.tant.$fetch({
            url: '/unattended/allocationPlan/selectMaterial',
            method: 'get'
        })
    }
    //调拨计划修改
    updateAllocationPlan(data:UpdateAllocationPlanParams): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/allocationPlan/updateAllocationPlan',
            method: 'put',
            data
        })
    }

    //调拨计划批量下发
    updateBatchIssue(data:any): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/allocationPlan/updateBatchIssue?' + data.ids + data.issueTime + data.status,
            method: 'put',
        })
    }
        //调拨计划导入
    importAllocationPlan(data: any): Promise<ResponseData<boolean>>{
        let formData = new FormData()
        formData.append('creatorId', data.creatorId);
        formData.append('creatorName', data.creatorName);
        formData.append('file', data.file.file)
        return this.tant.$fetch({
            url: '/unattended/allocationPlan/importAllocationPlan',
            headers: {
                'Content-Type': 'multipart/form-data;'
            },
            method: 'POST',
            data: formData
        })
    }
    selectSubtotal(params:any): Promise<ResponseData<boolean>>{
        return this.tant.$fetch({
            url: '/unattended/allocationPlan/selectSubtotal',
            method: 'get',
            params
        })
    } 
    exportAllocationPlan(): Promise<ResponseData<boolean>>{
        return this.tant.$fetch({
            url: '/unattended/allocationPlan/exportAllocationPlan',
            method: 'post',
            data: {}
        })
    } 
    deleteAllocationPlanEnd(data :any): Promise<ResponseData<boolean>>{
        return this.tant.$fetch({
            url: '/unattended/allocationPlan/deleteAllocationPlanEnd',
            method: 'DELETE',
            data
        })
    } 
}
    

