import {ResponseData,PageList} from 'dh-unattended/src/interface/publice/httpBase'
import {QueryAllocationPlanParams,AllocationPlanData, QueryAllInwardTransportParams,QueryAllInwardTransportData, AddInwardTransportGeneratePlan} from 'dh-unattended/src/interface/views/programManagement/generatePlan'
/**
 * @class 语音提示管理API类
 */
export default class ProgramManagementGeneratePlanApi {
    constructor(tant:any) {
        this.tant = tant
    }
    private tant:any

    //调拨计划列表查询
    queryAllocationPlan(params:QueryAllocationPlanParams): Promise<ResponseData<PageList<AllocationPlanData>>> {
        return this.tant.$fetch({
            url: '/unattended/inwardTransport/queryAllocationPlan',
            method: 'get',
            params
        })
    }
    //倒运计划列表查询
    queryAllInwardTransport(params:QueryAllInwardTransportParams): Promise<ResponseData<PageList<QueryAllInwardTransportData>>> {
        return this.tant.$fetch({
            url: '/unattended/inwardTransport/queryAllInwardTransport',
            method: 'get',
            params
        })
    }
    //根据调拨计划id生成倒运计划编号
    queryAllocationPlanById(params:{id:number,transportConsumption?:number}): Promise<ResponseData<any>> {
        return this.tant.$fetch({
            url: '/unattended/inwardTransport/queryAllocationPlanById',
            method: 'get',
            params
        })
    }
    //生成倒运计划
    addInwardTransport(data:AddInwardTransportGeneratePlan): Promise<ResponseData<string>> {
        return this.tant.$fetch({
            url: '/unattended/inwardTransport/addInwardTransport',
            method: 'post',
            data
        })
    }
    //中止倒运计划
    toInterruptInwardTransport(data:{id:number}): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/inwardTransport/toInterruptInwardTransport',
            method: 'put',
            data
        })
    }
    //结束倒运计划
    toEndInwardTransport(data:{id:number}): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/inwardTransport/toEndInwardTransport',
            method: 'put',
            data
        })
    }
    //根据司机姓名，查询司机信息,分页
    queryDriver(params:{pageNum:number,pageSize:number,name?:string,code?:string}): Promise<ResponseData<any>> {
        return this.tant.$fetch({
            url: '/unattended/inwardTransport/queryDriver',
            method: 'get',
            params
        })
    }
    //查询车辆信息，分页
    queryVehicle(params:{pageNum:number,pageSize:number,fleetTypeId:number,plateNumber?:string,typeId?:number|null}): Promise<ResponseData<any>> {
        return this.tant.$fetch({
            url: '/unattended/inwardTransport/queryVehicle',
            method: 'get',
            params
        })
    }
    //根据发货区名称，查询发货区信息 分页
    queryDeliveryArea(params:{pageNum:number,pageSize:number,stockCode?:string,stockName?:string,stockTypeId?:number|null,usable?:number|null}): Promise<ResponseData<any>> {
        return this.tant.$fetch({
            url: '/unattended/inwardTransport/queryDeliveryArea',
            method: 'get',
            params
        })
    }
    //根据发货单位名称，查询发货单位信息
    queryManufacturer(params:{name?:string}): Promise<ResponseData<any>> {
        return this.tant.$fetch({
            url: '/unattended/inwardTransport/queryManufacturer',
            method: 'get',
            params
        })
    }
    //取消新增时，释放已生成的编号
    releaseCode(params:{code:string}): Promise<ResponseData<any>> {
        return this.tant.$fetch({
            url: '/unattended/inwardTransport/releaseCode',
            method: 'delete',
            params
        })
    }
    //根据司机姓名，查询司机信息-不分页
    queryAllDriverByName(params:{name?:string}): Promise<ResponseData<any>> {
        return this.tant.$fetch({
            url: '/unattended/inwardTransport/queryAllDriverByName',
            method: 'get',
            params
        })
    }
    //根据发货区名称，查询发货区信息--不分页
    queryAllDeliveryArea(params:{stockName?:string}): Promise<ResponseData<any>> {
        return this.tant.$fetch({
            url: '/unattended/inwardTransport/queryAllDeliveryArea',
            method: 'get',
            params
        })
    }
    //查询车辆信息-不分页
    queryAllVehicleByPlateNumber(params:{plateNumber?:string,fleetTypeId:number}): Promise<ResponseData<any>> {
        return this.tant.$fetch({
            url: '/unattended/inwardTransport/queryAllVehicleByPlateNumber',
            method: 'get',
            params
        })
    }
    //删除倒运计划
    deleteInwardTransport(data:{id:number}): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/inwardTransport/deleteInwardTransport',
            method: 'delete',
            data
        })
    }
    //查询需要处理的中止计划
    listSuspendPlan(): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/inwardTransport/listSuspendPlan',
            method: 'get'
        })
    }
    //倒运计划修改
    updateInwardTransport(data:{id:number,status:number,suspendReason?:string}): Promise<ResponseData<boolean>> {
        return this.tant.$fetch({
            url: '/unattended/inwardTransport/updateInwardTransport',
            method: 'put',
            data
        })
    }
}
