import {ResponseData} from 'dh-unattended/src/interface/publice/httpBase'

/**
 * @class 公共API类
 */
export default class PublicApi {
    constructor(tant:any) {
        this.tant = tant
    }
    private tant:any

    /**
     * @interface 获取枚举字典  下拉数据 字段名称会不相同所以用的any来接收
     * @author ming
     */
    getEnumByClassName(params:{enumName:string}): Promise<ResponseData<any>> {
        return this.tant.$fetch({
            url: '/unattended/common/getEnumByClassName',
            method: 'get',
            params
        })
    }
    /**
     * @interface 收货单位下拉查询
     * @author ming
     */
    listAllManufacturerExceptSd(): Promise<ResponseData<any>> {
        return this.tant.$fetch({
            url: '/unattended/manufacturer/listAllManufacturerExceptSd',
            method: 'get'
        })
    }
    /**
     * @interface 发货单位下拉查询
     * @author ming
     */
    listAllManufacturerExceptRv(): Promise<ResponseData<any>> {
        return this.tant.$fetch({
            url: '/unattended/manufacturer/listAllManufacturerExceptRv',
            method: 'get'
        })
    }
    /**
     * @interface 列表查询料仓
     * @author ming
     */
    listAllStock(): Promise<ResponseData<{id:number,stockName:string}>> {
        return this.tant.$fetch({
            url: '/unattended/stock/listAllStock',
            method: 'get'
        })
    }
    /**
     * @interface 列表查询料仓分页
     * @author ming
     */
    pageAllStock(query:{pageNum:number,pageSize:number}): Promise<ResponseData<Array<{id:number,stockName:string}>>> {
        return this.tant.$fetch({
            url: '/unattended/stock/pageAllStock',
            method: 'get',
            params:query
        })
    }
}
