/**
 * 料仓管理
 * @interface 添加料仓信息参数接口
 */
export interface AddBinManagementParams{
    purpose:string
    stockCode?:string
    stockName:string
    stockTypeId?:any
    usable:any
    id?:number|null
    stockTypeName?:string|null
    bool?:boolean|null
    updatorId?:number
    updatorName?:string
    creatorId?:number
    creatorName?:string
}

/**
 * @interface 删除指定料仓信息参数接口
 */
export interface DelBinManagementParams{
    id:number
}


/**
 * @interface 列表查询粮仓管理参数接口
 */

export  interface QueryBinManagementParams {
    pageNum:number
    pageSize:number
    stockCode?:string
    stockName?:string
    stockTypeId?:number|null
    usable?:number|null
    updatorId?:number
    updatorName?:string
}

/**
 * @interface 料仓管理返回数据接口
 */
export interface BinManagementData extends AddBinManagementParams{
    type: string
    code: string;
    createTime:string
    creatorId:number
    creatorName:string
    delFlag:number
    id:number
    updateTime:string
    updatorId:number
    updatorName:string
}

/**
 * @interface 下拉料仓类型返回数据接口
 */

export interface BinManagementDropdDromList {
    id:number
    createTime:string
    creatorId:number
    creatorName:string
    stockTypeName:string
    updateTime:string
    updatorId:number
    updatorName:string
}



