export interface DriverPublic {
    idCard: string
    name: string
    telephoneNum: string
    usable: 0|1
}

/**
 * @interface 添加司机信息参数接口
 */
export interface AddDriverParams extends DriverPublic{
    id?:number
    type:number|null
    code: string
    creatorId: number|null
    creatorName: string
    driverLicenseType: number|null
    remark: string
    squadId: number|null


}

/**
 * @interface 修改司机信息参数接口
 */
export interface EditDriverParams extends DriverPublic{
     id: number
    updatorId: number
    updatorName: string
    remark: string
    squadId:number|null
}

/**
 * @interface 查询司机信息参数接口
 */
export interface QueryDriverParams {
    pageNum:number
    pageSize:number
    usable:0|1
    code:string|null
    driverLicenseType:number|null,
    type:number|null
    name:string|null
}

/**
 * @interface 查询司机信息返回数据接口
 */

export interface QueryDriverData extends DriverPublic{
    createTime: string
    driverLicenseType: {
        value: number,
        name: string,
        desc: string
    }
    id: number
    squadId: {
        value:number
        name:string
    }
    type:{
        value:number
        name:string
        desc:string
    }
    updateTime: string
    remark: string
}

/**
 * @interface 删除司机信息参数接口
 */
export interface MoveDriverParams {
    id:number
    updatorId:number
    updatorName:string

}


