/**
 * @interface 添加物料参数接口
 */
export interface AddMaterialParams{
    id?:number
    categoryId:number|null
    categoryName:string
    code:string
    creatorId:number
    creatorName:string
    name:string
    remark:string
    specification:string
    usable:0|1
}

/**
 * @interface 删除物料参数接口
 */
export interface DelMaterialParams{
    id:number
    updatorId:number
    updatorName:string
}

/**
 * @interface 修改物料参数接口
 */

export  interface EditMaterialParams {
    id:number
    updatorId:number
    updatorName:string
    name:string
    remark:string
    specification:string
    texture?:string
    unit?:string
    code:string
    usable:0|1
}

/**
 * @interface 查询物料参数接口
 */

export  interface QueryMaterialParams {
    categoryId?:number|null
    pageNum:number
    pageSize:number
    usable:number
    code?:string
    name?:string
}

/**
 * @interface 物料返回数据接口
 */
export interface MaterialData extends EditMaterialParams{
    categoryName:string
    createTime:string
    updateTime:string
    checkded?: boolean
}



