/**
 * @interface 计量点管理公共接口
 */
export interface MeasurementPublic {
    pointCode: string
    pointDepict: string
    pointName: string
    pointAddress:string
    remark:string
}

/**
 * @interface 添加计量点信息参数接口
 */
export interface AddMeteringPointParams extends  MeasurementPublic{
    id?:number
    creatorId: number|null
    creatorName: string
    type: number|null
    usable: 0|1
}

/**
 * @interface 删除计量点信息接口
 */
export interface  MoveMeteringPointParams {
    id:number
    pointCode:string
    updatorId:number
    updatorName:string
}

/**
 * @interface 查询计量点信息参数
 */
export interface QueryMeteringPointParams {
    pageNum:number
    pageSize:number
    usable:number
    pointCode:string
    pointName:string
    type:number|null
}

/**
 * @interface 查询计量点信息
 */
export interface  QueryMeteringPointData extends MeasurementPublic{
    createTime: string
    id: number
    updateTime: string
    type: {
        value:number
        name:string
        desc:string
    }
    usable: 0|1
}

/**
 *@interface 修改计量点信息接口
 */
export interface UpdateMeteringPointParams extends MeasurementPublic{
    id: number
    type: number
    updatorId: number
    updatorName: string
    usable: 0|1
}
