/**
 * @interface 计量点配置公用参数
 */

export interface PubliceMeteringPointConfigParams {
    baud: number|null
    comConfig:string
    deviceName:string
    ip:string
    remark:string
    usable:0|1

}

/**
 * @interface 计量点添加参数
 */
export interface AddMeteringPointConfigParams extends PubliceMeteringPointConfigParams{
    id?:number
    creatorId: number|null
    creatorName:string
    deviceCode:string
    pointCode:string
    pointDepict:string
    pointName:string

}

/**
 * @interface 修改计量点配置参数
 */
export interface EditMeteringPointConfigParams extends PubliceMeteringPointConfigParams,DelMeteringPointConfigParams{}

/**
 * @interface 获取计量点信息返回数据
 */
export interface GetMeteringPointData {
    pointCode:string
    pointDepict:string
    pointName:string
}

/**
 * @interface 计量点配置编号返回数据
 */
export interface GetDeviceCodeData extends GetMeteringPointData{
    deviceCode: string
}

/**
 * @interface 删除计量点信息参数
 */
export  interface DelMeteringPointConfigParams {
    id:number
    updatorId:number
    updatorName:string
}

/**
 * @interface 查询计量点配置信息参数
 */

export interface QueryMeteringPointConfigParams{
    pageNum:number
    pageSize:number
    usable:0|1
    deviceCode:string
    deviceName:string
    pointCode:string
}

/**
 * @interface 查询计量点配置信息返回参数
 */
export interface QueryMeteringPointConfigData extends PubliceMeteringPointConfigParams{
    deviceCode:string
    id:number
    createTime: string
    pointCode:string
    pointDepict: string
    pointName: string
    updateTime: string
}





