/**
 * @interface 车队添加参数接口
 */
export  interface AddFleetParams {
    id?:number
    code: string
    creatorId: number|null
    creatorName: string
    fleetTypeId: number|null
    fleetTypeName: string
    name: string
    remark: string
    usable: 0|1
}


/**
 * @interface 修改车队参数接口
 */
export interface EditFleetParams {
    id: number
    name: string
    remark: string
    updatorId: number
    updatorName: string
    usable: 0|1
}

/**
 * @interface 删除车队参数接口
 */
export interface MoveFleetParams {
    code:string
    id:number
    updatorId:number
    updatorName:string
}

/**
 * @interface 查询车队信息参数接口
 */
export interface QueryFleetParams  {
    pageNum:number
    pageSize:number
    usable:number
    code:string
    fleetTypeId:number|null
    name:string
}

/**
 * @interface 查询车队信息返回数据接口
 */
export interface QueryFleetData {
    code: string
    createTime: string
    fleetTypeName: string
    id: number
    name: string
    remark: string
    updateTime: string
    fleetTypeId:number
    usable: 0|1
}
