/**
 * @interface 获取皮重信息返回数据接口
 */
export interface GetVehicleTareData {
    createTime:string
    creatorId: number
    creatorName:string
    fleetTypeId:number
    id: number
    plateNumber:string
    remark:string
    rule:{
        value:number
        name:string
    }
    tare: number
    tareDiffer: number
    typeId:{
        value:number
        name:string
    }
    updateTime:string
    updatorId: number
    updatorName:string
    usable:{
        value:0|1
        desc:string
    }
    vehicleId: number
}

/**
 * @interface 新建或修改皮重信息参数接口
 */

export interface VehicleTareParams {
    fleetTypeId: number|null
    remark: string
    rule: number|null
    tareDiffer: number|null
    typeId: number|null
    usable: 0|1
    vehicleId: number|null
    id?: number|null
    tare?: number|null
    creatorId: number,
    creatorName: string,
    updatorId: number,
    updatorName: string,
    plateNumber?:string
}

/**
 * @interface 列表查询皮重信息参数
 */
export interface  ListVehicleTareParams {
    pageNum:number
    pageSize:number
    fleetId:number|null
    plateNumber:string
    rule:number|null
    typeId:number|null
    usable:number
}
