/**
 * 单位管理
 * @interface 添加编辑单位信息
 */
export interface AddUnitManagementParams{
    code:string
    name:string
    type:any
    usable:any
    remark?:string
    id?:number|null
    typeName?:string|null
    bool?:boolean
    creatorId?:number
    creatorName?:string
    updatorId?:number
    updatorName?:string
    provideCode: string
    provideName: string
    account: string
}

/**
 * @interface 删除指定单位信息
 */
export interface DelUnitManagementParams{
    id:number
}

/**
 * @interface 列表查询单位管理参数接口
 */

export  interface QueryUnitManagementParams {
    pageNum:number
    pageSize:number
    code?:string
    name?:string
    type?:number|null
    usable?:number|null
}

/**
 * @interface 单位管理返回数据接口
 */
export interface UnitManagementData extends AddUnitManagementParams{
    createTime:string
    creatorId:number
    creatorName:string
    delFlag:number
    order:number
    parentId:number
    updateTime:string
    updatorId:number
    updatorName:string
    account: string
}

/**
 * @interface 根据Type获取单位信息编码
 */

export  interface QueryUnitManagementTypeParams {
    type:number
    lastCode?:string
}

/**
 * @interface 单位信息编码返回数据接口
 */

export interface UnitManagementTypeList {
    code:string
}



