export interface VehiclePublic {
    company:string
    driverId: number|null
    fleetId: number|null
    id: number|null
    loadWeight: number|null
    modelId: number|null
    plateNumber:string
    remark:string
    selfWeight: number|null
    typeId: number|null
    tareDiffer:number|null
    rule:number|null
    usable: 0|1
}

/**
 * @interface 车辆信息返回数据接口
 */
// @ts-ignore
export interface GetVehicleData extends VehiclePublic{
    createTime: string
    creatorId: number
    creatorName: string
    idCard: string
    driverName: string
    telephoneNum: string
    updateTime: string
    driverIdCard: string
    updatorName: string
    typeId: {
        value: number
        name:string
    }
    modelId?: {
        value: number
        name: string
    }
    rule:{
        value: number
        name: string
    }|null
    fleetId:number
    fleetName:string
    fleetTypeId:number
    fleetTypeName:string
    usable: {
        value: 0|1
        desc: string
    }
    equipmentCode: string
    producerCode: string
    producerName: string
    account: string
}


/**
 * @interface 添加车辆信息参数接口
 */
// @ts-ignore
export interface InsertVehicleParams extends VehiclePublic{
    id?:number
    driverIdCard: string
    driverName: string
    telephoneNum: string
    creatorId: number,
    creatorName: string,
    fleetName?:string
    ruleName?:string|null
    equipmentCode: string
    producerCode: string
    producerName: string
    account: string
}


/**
 * @interface 修改车辆信息参数
 */
export interface UpdateVehicleParams extends VehiclePublic{
    driverIdCard:string
    driverName:string
    telephoneNum:string
    updatorId: number,
    updatorName: string,
    equipmentCode: string
    producerCode: string
    producerName: string
    account: string
}

/**
 * @interface 根据条件获取车辆信息列表参数接口
 */
export interface ListVehicleParams {
    pageNum:number
    pageSize:number
    company:string
    driverName:string
    plateNumber:string
    typeId:number|null
    rule:number|null
    usable:0|1
}

/**
 * @interface 查询分类全部列表接口
 */
export interface ListAllVehicle {
    fleetId: number
    fleetName: string
    fleetTypeId: number
    fleetTypeName: string
    id: number
    plateNumber: string
    rule: {
        value: number
        name: string
    }
    tare: number
    typeId: {
        value: number,
        name: string
    },
    selfWeight:number
}





