/**
 * 计量卡管理
 * @interface 初始化
 */
export interface InitializeMeasurementCardParams{
    cardNum?:string|null
    creatorId?: number|null
    creatorName?: string
    originalNum?: string
    typeId:number|null
    typeName: string
    businessType?:number|null
    remark:string
}

/**
 * @interface 列表查询
 */

export  interface QueryMeasurementCardParams {
    pageNum:number
    pageSize:number
    cardNum?:string
    plateNumber?:string
    status?:number
    typeId?:number
}

/**
 * @interface 列表查询返回数据
 */
export interface MeasurementCardData extends InitializeMeasurementCardParams{
    driverId: number|null
    driverName: string|null
    initTime: string|null
    lossTime: string|null
    plateNumber: string|null
    refundTime: string|null
    registerTime: string|null
    status: number
    statusName?:string
    cardNum:string
}

/**
 * @interface 模糊查询司机、车牌号返回数据
 */
export interface FuzzyQueryMeasurementCardData {
    cardNum: string|null
    status: number|null
    typeId: number|null
    typeName: string|null
    originalNum: string|null
    initTime: string|null
    registerTime: string|null
    lossTime: string|null
    refundTime: string|null
    driverId: number|null
    plateNumber: string|null
    driverName: string|null
    fleetName:string|null
    driverIdCard: string|null
    telephoneNum: string|null
    checkded?:boolean
    vehicleId:number|null
    id?:number
    key?:number
}

/**
 * @interface 发卡注册
 */
export interface RegisteredMeasurementCard {
    cardNum: string
    driverIdCard?: string|null
    driverName?: string|null
    fleetName?: string|null
    plateNumber?: string|null
    telephoneNum?:string|null
    typeName?:string
    originalNum?:string
    remark:string
    typeId?:number|null
    vehicleId?:number|null
}





