/**
 * 倒运计划
 * @interface 倒运计划初始化时，显示的调拨计划
 */
export  interface QueryAllocationPlanParams {
    pageNum:number
    pageSize:number
    recipientOrgId:number|null
    code:string
    endAllocationDate:string
    materialName:string
    startAllocationDate:string
}

/**
 * @interface 调拨计划列表查询返回数据
 */
export  interface AllocationPlanData {
    allocationDate: string
    code: string
    countNet: number
    createTime: string
    deliverOrgId: number
    deliverOrgName: string
    hourlyConsumption: number
    id: number
    materialCode: string
    materialId: number
    materialName: string
    needConsumption: number
    proportion: number
    recipientOrgId: number
    recipientOrgName: string
    status:any
    totalConsumption: number
    statusName?:string
}

/**
 * @interface 根据条件，查询所有的倒运计划
 */
export interface QueryAllInwardTransportParams{
    pageNum:number
    pageSize:number
    fleetTypeId?:number|null
    fleetTypeName?:string
    receiveAreaId?:number|null
    receiveAreaName?:string
    beginTime:string
    stopTime:string
    flag:number|null
    code?:string
    materialName:string
    plateNumber:string
    date?:any
}

/**
 * @interface 倒运计划列表返回数据
 */
export interface QueryAllInwardTransportData{
    allocationPlanCode: string
    allocationPlanId: number
    countNet: number
    deliverOrgName: string
    deliveryAreaName: string
    driverName: string
    endTime: string
    endTrainNum: number
    fleetTypeName: string
    id: number
    loadWeight: number
    materialCode: string
    materialName: string
    planDosage: string
    plateNumber: string
    recipientOrgName: string
    startTime: string
    startTrainNum: number
    status: number
    suspendReason: string
    trainNum:number
    statusName?:string
}

/**
 * @interface 生成倒运计划
 */
export interface AddInwardTransportGeneratePlan {
    allocationPlanCode?: string
    allocationDate?:string
    recipientOrgName?:string
    materialName?:string
    totalConsumption?:number|null
    materialCode?:string
    needConsumption?:number|null
    hourlyConsumption?:number|null
    loadWeight?:number|null
    selfWeight?:number|null
    telephoneNum?:string
    planNumber?:number|null
    remark?:string
    deliverOrgName:string
    deliverOrgId:number|null
    allocationPlanId: number|null
    code?: string
    creatorId?: number|null
    creatorName: string
    deliveryAreaId: number|null
    deliveryAreaName: string
    driverId: number|null
    driverName: string
    endTime: string
    fleetId?: number|null
    meteringCardId: number|null
    plateNumber: string
    receiveAreaId?: number|null
    receiveAreaName?: string
    startTime: string
    trainNum: number|null
    vehicleId: number|null
    plannedVolume: any
}





